QGIS Application - Bug report #12622
In virtual fields $area function computes always values using "None/planimetric” ellipsoid
2015-04-21 12:16 PM - Maxim Broos

Status: Closed

Priority: Normal

Assignee:

Category: Field calculator

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20739
Description

New description:

in QGIS master area calculations seems to be (finally) sorted out/fixed. Anyway it seems that when computing $area in Virtual Fields then
the None/planimetric" option for the ellipsoid regardless what the one is configured in the project properties.

Old description:

After doing some reading, i think i will file this problem as an issue:

I have a new shapefile layer in CRS 3857, in a project that has the same CRS. Under project properties, the measure tool is on ellipsoid
WGS 84.

When i use the normal field calculator to create a new field for the layer and use the function "$area", the fields get filled with the correct
values.

Now when i use the field calculator to add a virtual field with the function "$area”, the values in the field represent the area value of the
features calculated without ellipsoid (None/Planimetric).

| suppose it's similar or related to issue #12057

Related issues:
Related to QGIS Application - Bug report # 12057: Computed area is wrong when... Closed 2015-01-26
Related to QGIS Application - Bug report # 14082: area calculation in Field C... Closed 2016-01-10

Associated revisions

Revision 4094bae9 - 2016-02-16 02:12 AM - Nyall Dawson

Respect project ellipsoid and unit settings in virtual fields

Fix #12622, #4252

History

#1 - 2015-04-25 01:22 PM - Giovanni Manghi
- Status changed from Open to Feedback

| "cannot” confirm, in the sense that here (qgis master) the area values computed with OTFR are completely bogus as per #12057
#2 - 2015-05-10 01:03 AM - Giovanni Manghi

- Target version changed from Version 2.8.1 to Version 2.8.2

#3 - 2015-05-10 01:11 AM - Jiirgen Fischer

- Target version changed from Version 2.8.2 to Future Release - High Priority

#4 - 2015-11-10 03:09 AM - Giovanni Manghi
- Status changed from Feedback to Open

- Subject changed from Virtual field $area function not using same Ellipsoid setting as normal field Calculator to In virtual fields $area function computes
always values using "None/planimetric" ellipsoid
- Affected QGIS version changed from 2.8.1 to master

- Target version deleted (Future Release - High Priority)
#5 - 2016-02-15 05:13 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"4094bae960a8521ecabdfe281408ae2e9ad773be".

2025-04-27 22



